DoubleMetaphone.DoubleMetaphoneResult (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.language, class: DoubleMetaphone, class: DoubleMetaphoneResult

Package org.apache.commons.codec.language

# Class DoubleMetaphone.DoubleMetaphoneResult

java.lang.Object
org.apache.commons.codec.language.DoubleMetaphone.DoubleMetaphoneResult

Enclosing class:
  `DoubleMetaphone`

public class DoubleMetaphone.DoubleMetaphoneResult extends Object
Stores results, since there is the optional alternate encoding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleMetaphoneResult(int maxLength)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `append(char value)`
  Appends the given value as primary and alternative.
  `void`
  `append(char primary, char alternate)`
  Appends the given primary and alternative values.
  `void`
  `append(String value)`
  Appends the given value as primary and alternative.
  `void`
  `append(String primary, String alternate)`
  Appends the given primary and alternative values.
  `void`
  `appendAlternate(char value)`
  Appends the given value as alternative.
  `void`
  `appendAlternate(String value)`
  Appends the given value as alternative.
  `void`
  `appendPrimary(char value)`
  Appends the given value as primary.
  `void`
  `appendPrimary(String value)`
  Appends the given value as primary.
  `String`
  `getAlternate()`
  Gets the alternate string.
  `String`
  `getPrimary()`
  Gets the primary string.
  `boolean`
  `isComplete()`
  Tests whether this result is complete.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleMetaphoneResult

    public DoubleMetaphoneResult(int maxLength)
    Constructs a new instance.
    Parameters:
      `maxLength` - The maximum length.

- ## Method Details

  - ### append

    public void append(char value)
    Appends the given value as primary and alternative.
    Parameters:
      `value` - The value to append.

  - ### append

    public void append(char primary, char alternate)
    Appends the given primary and alternative values.
    Parameters:
      `primary` - The primary value.
      `alternate` - The alternate value.

  - ### append

    public void append(String value)
    Appends the given value as primary and alternative.
    Parameters:
      `value` - The value to append.

  - ### append

    public void append(String primary, String alternate)
    Appends the given primary and alternative values.
    Parameters:
      `primary` - The primary value.
      `alternate` - The alternate value.

  - ### appendAlternate

    public void appendAlternate(char value)
    Appends the given value as alternative.
    Parameters:
      `value` - The value to append.

  - ### appendAlternate

    public void appendAlternate(String value)
    Appends the given value as alternative.
    Parameters:
      `value` - The value to append.

  - ### appendPrimary

    public void appendPrimary(char value)
    Appends the given value as primary.
    Parameters:
      `value` - The value to append.

  - ### appendPrimary

    public void appendPrimary(String value)
    Appends the given value as primary.
    Parameters:
      `value` - The value to append.

  - ### getAlternate

    public String getAlternate()
    Gets the alternate string.
    Returns:
      The alternate string.

  - ### getPrimary

    public String getPrimary()
    Gets the primary string.
    Returns:
      The primary string.

  - ### isComplete

    public boolean isComplete()
    Tests whether this result is complete.
    Returns:
      whether this result is complete.